import { AxiosRequestConfig } from 'axios';

declare var window: Window;
declare var EASY_ENV_IS_NODE: boolean;
declare global {
  interface Window {
    apollo: any;
  }
}

interface Window {
  __INITIAL_STATE__: any;
}

declare module 'axios' {
  export interface AxiosRequestConfig {
    accessToken?: string;
  }

  export interface AxiosResponse {
    accessToken?: string;
    refreshToken?: string;
  }
}